curl --request GET \
--url https://api.kraken.com/funding/v1/limits/withdrawal/{asset_class}/{asset} \
--header 'API-Key: <api-key>' \
--header 'API-Nonce: <api-key>' \
--header 'API-Sign: <api-key>'import requests
url = "https://api.kraken.com/funding/v1/limits/withdrawal/{asset_class}/{asset}"
headers = {
"API-Key": "<api-key>",
"API-Sign": "<api-key>",
"API-Nonce": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'API-Key': '<api-key>', 'API-Sign': '<api-key>', 'API-Nonce': '<api-key>'}
};
fetch('https://api.kraken.com/funding/v1/limits/withdrawal/{asset_class}/{asset}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.kraken.com/funding/v1/limits/withdrawal/{asset_class}/{asset}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("API-Key", "<api-key>")
req.Header.Add("API-Sign", "<api-key>")
req.Header.Add("API-Nonce", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"available_balance": {
"asset": {
"class": "currency",
"name": "USDC"
},
"amount": "689005.55897887"
},
"withdrawal_limits": [
{
"method_id": "ec344850-a2bf-4fd8-b5c4-eb902a61cd03",
"maximum_amount": {
"asset": {
"class": "currency",
"name": "USDC"
},
"amount": "500155.05091629"
},
"maximum_reason": "limits",
"limits": [
{
"time_window": "86400",
"limit": {
"remaining": {
"policy_asset_amount": {
"asset": {
"class": "currency",
"name": "USD"
},
"amount": "499995.0013"
},
"usd_amount": {
"asset": {
"class": "currency",
"name": "USD"
},
"amount": "499995.0013"
},
"requested_asset_amount": {
"asset": {
"class": "currency",
"name": "USDC"
},
"amount": "500155.05091629"
}
},
"maximum": {
"policy_asset_amount": {
"asset": {
"class": "currency",
"name": "USD"
},
"amount": "500000.0000"
},
"usd_amount": {
"asset": {
"class": "currency",
"name": "USD"
},
"amount": "500000.0000"
},
"requested_asset_amount": {
"asset": {
"class": "currency",
"name": "USDC"
},
"amount": "500160.05121639"
}
},
"used": {
"policy_asset_amount": {
"asset": {
"class": "currency",
"name": "USD"
},
"amount": "4.9987"
},
"usd_amount": {
"asset": {
"class": "currency",
"name": "USD"
},
"amount": "4.9987"
},
"requested_asset_amount": {
"asset": {
"class": "currency",
"name": "USDC"
},
"amount": "5.00030010"
}
},
"limit_type": "equiv_amount_usd"
}
}
]
}
]
}List Funding Withdrawal Limits
Retrieve withdrawal limits for an asset, including remaining and maximum amounts where applicable.
API Key Permissions Required: Funds permissions - Query
curl --request GET \
--url https://api.kraken.com/funding/v1/limits/withdrawal/{asset_class}/{asset} \
--header 'API-Key: <api-key>' \
--header 'API-Nonce: <api-key>' \
--header 'API-Sign: <api-key>'import requests
url = "https://api.kraken.com/funding/v1/limits/withdrawal/{asset_class}/{asset}"
headers = {
"API-Key": "<api-key>",
"API-Sign": "<api-key>",
"API-Nonce": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'API-Key': '<api-key>', 'API-Sign': '<api-key>', 'API-Nonce': '<api-key>'}
};
fetch('https://api.kraken.com/funding/v1/limits/withdrawal/{asset_class}/{asset}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.kraken.com/funding/v1/limits/withdrawal/{asset_class}/{asset}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("API-Key", "<api-key>")
req.Header.Add("API-Sign", "<api-key>")
req.Header.Add("API-Nonce", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"available_balance": {
"asset": {
"class": "currency",
"name": "USDC"
},
"amount": "689005.55897887"
},
"withdrawal_limits": [
{
"method_id": "ec344850-a2bf-4fd8-b5c4-eb902a61cd03",
"maximum_amount": {
"asset": {
"class": "currency",
"name": "USDC"
},
"amount": "500155.05091629"
},
"maximum_reason": "limits",
"limits": [
{
"time_window": "86400",
"limit": {
"remaining": {
"policy_asset_amount": {
"asset": {
"class": "currency",
"name": "USD"
},
"amount": "499995.0013"
},
"usd_amount": {
"asset": {
"class": "currency",
"name": "USD"
},
"amount": "499995.0013"
},
"requested_asset_amount": {
"asset": {
"class": "currency",
"name": "USDC"
},
"amount": "500155.05091629"
}
},
"maximum": {
"policy_asset_amount": {
"asset": {
"class": "currency",
"name": "USD"
},
"amount": "500000.0000"
},
"usd_amount": {
"asset": {
"class": "currency",
"name": "USD"
},
"amount": "500000.0000"
},
"requested_asset_amount": {
"asset": {
"class": "currency",
"name": "USDC"
},
"amount": "500160.05121639"
}
},
"used": {
"policy_asset_amount": {
"asset": {
"class": "currency",
"name": "USD"
},
"amount": "4.9987"
},
"usd_amount": {
"asset": {
"class": "currency",
"name": "USD"
},
"amount": "4.9987"
},
"requested_asset_amount": {
"asset": {
"class": "currency",
"name": "USDC"
},
"amount": "5.00030010"
}
},
"limit_type": "equiv_amount_usd"
}
}
]
}
]
}Authorizations
The "API-Key" header should contain your API key.
Authenticated requests should be signed with the "API-Sign" header, using a signature generated with your private key, nonce, encoded payload, and URI path.
The "API-Nonce" header should contain an always-increasing 64-bit integer, most commonly a Unix timestamp in milliseconds. Each request must use a nonce greater than the nonce of the previous request signed with the same API key.
Path Parameters
Filter by asset class.
currency, tokenized_asset Filter by asset.
1 - 16Query Parameters
Asset in which to express returned limit amounts. When omitted, amounts are returned in the funding method’s asset.
Show child attributes
Show child attributes
Account ID
Response
Balance available for withdrawal after accounting for holds, open positions, margin requirements, and other restrictions. Funding method specific limits may reduce this amount further.
Show child attributes
Show child attributes
Withdrawal limits by funding method.
Show child attributes
Show child attributes
Was this page helpful?